Sboms
List SBOM components
Authorization
API key SBOMs: readAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: SBOMs: read
Path Parameters
workspaceId*string
Format
uuidsbomId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
limit?||
Match
^-?(?:0|[1-9]\d*)$Format
int32cursor?null|string
Response Body
application/json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/sboms/z3Mp96lQd4Gt/components/list" \ -H "Content-Type: application/json" \ -d '{ "limit": 50 }'Page of components declared by the SBOM.
{ "components": [ { "id": "a5Nk38jTw2Qe", "packageName": "mbedtls", "version": "3.5.2", "purl": "pkg:generic/mbedtls@3.5.2", "cpe": "cpe:2.3:a:arm:mbed_tls:3.5.2:*:*:*:*:*:*:*", "vendor": "ARM", "pathsToRoot": [ [ "thermostat-application", "mbedtls" ] ] } ], "nextCursor": "eyJvZmZzZXQiOjUwfQ", "hasMore": true}